# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResCompanyTmesheet(models.Model):
    _inherit = "res.company"

    day_duration = fields.Float(
        string="Nb Heures/Jour",
        default=8,
        help="Nombre d'heures max pour imputation",
    )
    day_working = fields.Boolean(
        string="Forfait Jour",
        default=False,
        help="Si cette option est cochée, un employé peut imputer sans limite"
        " de temps sur une journée",
    )
    overtime_working = fields.Boolean(
        string="Heures supplémentaires",
        default=False,
        help="Si cette option est cochée, un employé peut déclarer des heures supplémentaire"
    )
    weekend_working = fields.Boolean(
        string="Travail le weekend",
        default=False,
        help="Si cette option est cochée, un employé peut imputer le weekend",
    )
    use_travel_time = fields.Boolean(
        string="Saisie des temps de déplacement",
        default=False,
        help="Si cette option est cochée, un employé peut saisir ses temps de déplacement"
    )
