# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopRegionalConvention(models.Model):
    _name = "ur.regional.convention"
    _description = "Convention Régionale UR"

    def _default_ur(self):
        return self.env["res.company"]._ur_default_get()

    name = fields.Char("Nom")
    company_id = fields.Many2one(
        comodel_name="res.company",
        string="Société",
        default=lambda self: self.env.company,
    )
    ur_id = fields.Many2one(
        "union.regionale",
        string="Union Régionale",
        index=True,
        ondelete="restrict",
        default=_default_ur,
    )
